Skip to navigation

Read the OCPI CommandResult of an OCPI command

Reads the asynchronous OCPI CommandResult of a command sent with POST /proxy/ocpi/commands/{command}, by the tracking_id from its response, including the delivery state and the charger’s answer once known. Pass charge_point_id when two chargers reused the same message id. 404 if the tracking id is unknown for this organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tracking_idstringRequired1-36 characters

tracking_id from the send response.

Query parameters

charge_point_idstring or nullOptional1-255 characters
Disambiguates when two chargers reused the same OCPP message id.

Response

Successful Response
tracking_idstring
statusstring
resultstring or nullOptional
commandenum or nullOptional
profilemap from strings to any or nullOptional
messagelist of objects or nullOptional
charge_point_idstring or nullOptional
actionstring or nullOptional
authorization_referencestring or nullOptional
transaction_idstring or nullOptional
deliveryenumOptionalDefaults to unconfirmed
Allowed values:
delivered_atdatetime or nullOptional
response_payloadmap from strings to any or nullOptional
error_codestring or nullOptional
error_descriptionstring or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error